Package org.apache.storm.starter

## Class ReachTopology.PartialUniquer

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseBatchBolt<Object>
    - - org.apache.storm.starter.ReachTopology.PartialUniquer

- All Implemented Interfaces:
    `Serializable`, `IBatchBolt<Object>`, `IComponent`
  Enclosing class:
    ReachTopology

      public static class ReachTopology.PartialUniquer
      extends BaseBatchBolt<Object>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PartialUniquer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `declareOutputFields​(OutputFieldsDeclarer declarer)` | Declare the output schema for all the streams of this topology.
    `void` | `execute​(Tuple tuple)` |
    `void` | `finishBatch()` |
    `void` | `prepare​(Map<String,​Object> conf, TopologyContext context, BatchOutputCollector collector, Object id)` |

    - ### Methods inherited from class org.apache.storm.topology.base.BaseComponent

      `getComponentConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.topology.IComponent

      `getComponentConfiguration`

- - ### Constructor Detail

    - #### PartialUniquer

          public PartialUniquer()

  - ### Method Detail

    - #### prepare

          public void prepare​(Map<String,​Object> conf,
                              TopologyContext context,
                              BatchOutputCollector collector,
                              Object id)

    - #### execute

          public void execute​(Tuple tuple)

    - #### finishBatch

          public void finishBatch()

    - #### declareOutputFields

          public void declareOutputFields​(OutputFieldsDeclarer declarer)

      Description copied from interface: `IComponent`
      Declare the output schema for all the streams of this topology.
      Parameters:
        `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream